%generates all figures for ASC paper

%%%%%%%%%%%%% Parameters %%%%%%%%%%%%%%%%%%%%
% Define the parameters we'll use throughout.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

conditions.numSamples=100;
conditions.maxTime=96;
conditions.BlimpThreshold=4;
conditions.AIDThreshold=4;
conditions.meanSignal=0.3;
conditions.stdDevSignal=0.6;
conditions.replicates =3;
conditions.NFkBIndependantSignal=0.5;
conditions.NFkBIndependantstdDev=0.4;
conditions.SinghMeanSignal=0.4;
conditions.SinghStdSignal=0.4;


%%%%%%%%%%%%% Figure 1 %%%%%%%%%%%%%%%%%%%%%%
% first we need to do Singh ASC model.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%run Singh simulation
[x,cumulativeSumSingh,allTimeCoursesSingh] = runSinghModel(conditions);
%run NFkB v1 Simulation
[x2,cumulativeSumNFkBv1,allTimeCoursesNFkBv1,startingStatesNFkBv1,v2,rememberActivationStrengths] = runNFkBv1(conditions);

%calculate cells that switch for both models
cellsThatSwitchSingh=find(squeeze(allTimeCoursesSingh(2,end,:))>5);
cellsThatSwitchNFkBv1=find(squeeze(allTimeCoursesNFkBv1(2,end,:))>5);

%model the effect of downregulating cRel on the end state of the previous
%run.
[x3,endPointsAID,endPointsBlimp] = modelcRelDownregFromEndState(allTimeCoursesNFkBv1,startingStatesNFkBv1,v2,rememberActivationStrengths,cellsThatSwitchNFkBv1,conditions);

%run version 2 model with cRel downregulation
[x4,cumulativeSumNFkBv2,allTCReplicatesWT] = runNFkBv2(conditions);
allTimeCoursesNFkBv2=allTCReplicatesWT{1};

% plot ASC generation for new NFkB model vs old one
plotV1VsV2shadedErrorBars2(cumulativeSumNFkBv1,cumulativeSumNFkBv2);

%run the cRel -/- Simulation
[x10,cumulativeSumKOScaledEarly,allTCReplicatesKOScaledEarly] = runcRelKnockoutScaledRelAEarly(conditions,averageWTRelA);
