function [x3,endPointsAID,endPointsBlimp] = modelcRelDownregFromEndState(allTimeCoursesNFkBv1,startingStatesNFkBv1,v2,rememberActivationStrengths,cellsThatSwitchNFkBv1,conditions)
    endStateOfPreviousRun=squeeze(allTimeCoursesNFkBv1(:,end,cellsThatSwitchNFkBv1));
    startingStatesNFkBv1=squeeze(startingStatesNFkBv1(:,cellsThatSwitchNFkBv1));
    maxTime=conditions.maxTime;

    
    
    figure();
    hold on;
    options=odeset('RelTol',1e-12,'AbsTol',1e-12);
    time=[1:1:maxTime];

    v2orig=v2;
    rememberActivationStrengths=rememberActivationStrengths(cellsThatSwitchNFkBv1);
    endPointsAID=[];
    endPointsBlimp=[];
    for i=1:size(endStateOfPreviousRun,2)
        init=endStateOfPreviousRun(:,i);    
        v2(6,5)=startingStatesNFkBv1(1,i);
        v2(7,5)=startingStatesNFkBv1(2,i);
        v2(6,5)=v2(6,5)/100;
        init(6)=0;

       v2(1,5)=rememberActivationStrengths(i);

        [t3,x3]=ode45(@(t,x) ODEWithoutcRelDownreg_cRelRelALine(t,x,[],v2), time, init,options);
        blimpTC=x3(:,2);
        AIDTC=x3(:,5);
        plot(blimpTC(1),AIDTC(1),'o','markersize',5,'MarkerEdgeColor','k','MarkerFaceColor','g');
        plot(blimpTC(end),AIDTC(end),'o','markersize',5,'MarkerEdgeColor','k','MarkerFaceColor','r');
        endPointsAID=[endPointsAID,AIDTC(end)];
        endPointsBlimp=[endPointsBlimp,blimpTC(end)];
        ylim([-1,9]);
        xlim([-1,12])
        set(gcf,'color','w');
        axis square;
        box on;
    end
end