function [x4,cumulativeSumNFkBv2,allTCReplicatesWT] = runNFkBv2(conditions)
    
    numSamples=conditions.numSamples;
    maxTime=conditions.maxTime;
    BlimpThreshold=conditions.BlimpThreshold;
    AIDThreshold=conditions.AIDThreshold;
    meanSignal=conditions.meanSignal;
    stdDevSignal=conditions.stdDevSignal;
    NFkBIndependantSignal=conditions.NFkBIndependantSignal;
    NFkBIndependantstdDev=conditions.NFkBIndependantstdDev;
    totalReplicates = conditions.replicates;
    modelTime=[0:2:24,25:1:96];
    options=odeset('RelTol',1e-12,'AbsTol',1e-12);
    allTCReplicatesWT={};
    v2=parametersASCNFkB5();
    time=[1:1:maxTime];
    cumulativeSumNFkBv2=zeros(length(modelTime),totalReplicates);
    
    for replicates=1:totalReplicates
        timeOfDifferentiationNFkBv2=zeros(1,numSamples);
        allTimeCoursesNFkBv2=zeros(7,length(time),numSamples);
        startingStatesNFkBv2=zeros(2,numSamples);
        for i=1:numSamples

            init=[0,0,1,0,0,0,0];

            meane_i=meanSignal;
            sde_i=stdDevSignal*meane_i;
            v2=parametersASCNFkB5();
            v2(6,5)=max(normrnd(meane_i,sde_i),eps);
            v2(7,5)=max(normrnd(meane_i,sde_i),eps);
            startingStatesNFkBv2(1,i)=v2(6,5);
            startingStatesNFkBv2(2,i)=v2(7,5);

            K=(10^9);
            Ag=1024*10^12;
            f=Ag/(K+Ag);
            meane_i=NFkBIndependantSignal*f;
            sde_i=NFkBIndependantstdDev*meane_i*f;
            v2(1,5)=normrnd(meane_i,sde_i);

            [t4,x4]=ode45(@(t,x) ODEWithcRelDownreg_02262018(t,x,[],v2), time, init,options);
            for j=1:length(init)
                allTimeCoursesNFkBv2(j,:,i)=x4(:,j)';
            end  
            thisTime=find(x4(:,2)>BlimpThreshold,1,'first');
            if(thisTime)
                thisTime2=find(x4(thisTime:end,5)<AIDThreshold,1,'first');
                if(thisTime2)
                    timeOfDifferentiationNFkBv2(i)=thisTime;
                else
                    timeOfDifferentiationNFkBv2(i)=NaN;
                end
            else
                timeOfDifferentiationNFkBv2(i)=NaN;
            end        
        end

        sortedNFkBv2=sort(timeOfDifferentiationNFkBv2);
        for i=1:maxTime
            cumulativeSumNFkBv2(i,replicates)=sum(sortedNFkBv2<i)./numSamples;
        end
        allTCReplicatesWT{end+1}=allTimeCoursesNFkBv2;
    end

end