function [x5,cumulativeSumKO,allTCReplicatesKO] = runcRelKnockoutScaledRelAEarly(conditions,averageWTRelA)

    numSamples=conditions.numSamples;
    maxTime=conditions.maxTime;
    BlimpThreshold=conditions.BlimpThreshold;
    AIDThreshold=conditions.AIDThreshold;
    meanSignal=conditions.meanSignal;
    stdDevSignal=conditions.stdDevSignal;
    NFkBIndependantSignal=conditions.NFkBIndependantSignal;
    NFkBIndependantstdDev=conditions.NFkBIndependantstdDev;
    totalReplicates = conditions.replicates;
    options=odeset('RelTol',1e-12,'AbsTol',1e-12);
    load('experimentalDataqWestern.mat')
    
    relAWTVals=mean([RelAWT1,RelAWT2]');
    relAKOVals=mean([RelAKO1,RelAKO2]');
    relAChangesFromWT=relAKOVals./relAWTVals;
    relAScale=mean(relAChangesFromWT);
    relATime=timePoints;
    
    allTCReplicatesKO={};
    maxs=zeros(1,7);
    time=[1:1:maxTime];
    cumulativeSumKO=zeros(maxTime,totalReplicates);
    for replicates=1:totalReplicates
        timeOfDifferentiationcRelKO=zeros(1,numSamples);
        allTimeCoursesKO=zeros(7,length(time),numSamples);
        startingStatesKO=zeros(2,numSamples);

        for i=1:numSamples

            init=[0,0,1,0,0,0,0];

            meane_i=meanSignal;
            sde_i=stdDevSignal*meane_i;
            v2=parametersASCNFkB5();
            v2(6,5)=max(normrnd(meane_i,sde_i),eps);
            v2(7,5)=max(normrnd(meane_i,sde_i),eps);
            startingStatesNFkBv2(1,i)=v2(6,5);
            startingStatesNFkBv2(2,i)=v2(7,5);
            %%%%%%%%CREL KO%%%%%%%%
            v2(6,5)=0;
            %%%%%%%%%%%%%%%%%%%%%%
            v2(7,5)=v2(7,5);
            
            K=(10^9);
            Ag=1024*10^12;
            f=Ag/(K+Ag);
            meane_i=NFkBIndependantSignal*f;
            sde_i=NFkBIndependantstdDev*meane_i*f;
            v2(1,5)=normrnd(meane_i,sde_i);
           
            paramsAndCurves=struct;
            paramsAndCurves.params=v2;
            paramsAndCurves.curves={};
            paramsAndCurves.relAScaleEarly=relAScale;
            paramsAndCurves.relAScaleLate=0.7;
            [t5,x5]=ode45(@(t,x) ODEWithScaledRelAEarly(t,x,[],paramsAndCurves), time, init,options);
            names={'IRF4', 'Blimp', 'Pax', 'Bcl', 'AID', 'cRel','relA'};
            index=1;
            for j=1:length(init)
                allTimeCoursesKO(j,:,i)=x5(:,j)';
            end  
            thiTime=[];
            thisTime=find(x5(:,2)>BlimpThreshold,1,'first');
            if(thisTime)
                thisTime2=find(x5(thisTime:end,5)<AIDThreshold,1,'first');
                if(thisTime2)
                    timeOfDifferentiationcRelKO(i)=thisTime2+thisTime;
                else
                    timeOfDifferentiationcRelKO(i)=NaN;
                end
            else
                timeOfDifferentiationcRelKO(i)=NaN;
            end
        end
        sortedKO=sort(timeOfDifferentiationcRelKO);

        for i=1:maxTime
            cumulativeSumKO(i,replicates)=sum(sortedKO<i)./numSamples;
        end
        allTCReplicatesKO{end+1}=allTimeCoursesKO;

    end

end